> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korbit.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar atividade da conta

> Feed unificado e cronológico (vendas, payouts, assinaturas, refunds, antecipações, disputas) — base leve para notificações internas e auditoria de integração.



## OpenAPI

````yaml /openapi/korbit-public-v1.json get /v1/activity
openapi: 3.1.0
info:
  title: Korbit API
  version: 1.0.0
  description: >-
    API de pagamentos da Korbit para merchants: PIX, cartão (com 3DS),
    assinaturas, checkout por link, payouts, antecipações e refunds — com
    idempotência, webhooks assinados e ambiente sandbox.
  contact:
    name: Suporte Korbit
    email: suporte@korbit.com.br
servers:
  - url: https://api.korbit.com.br
    description: Produção (chaves kbt_live_)
  - url: https://api-test.korbit.com.br
    description: Sandbox (chaves kbt_test_)
security:
  - bearerAuth: []
tags:
  - name: Antecipações
  - name: Assinaturas
  - name: Atividade
  - name: Catálogo
  - name: Chaves de API
  - name: Checkout
  - name: Clientes e Pedidos
  - name: Pagamentos
  - name: Refunds e Disputas
  - name: Saldo e Saques
  - name: Sandbox
  - name: Webhooks
paths:
  /v1/activity:
    get:
      tags:
        - Atividade
      summary: Listar atividade da conta
      description: >-
        Feed unificado e cronológico (vendas, payouts, assinaturas, refunds,
        antecipações, disputas) — base leve para notificações internas e
        auditoria de integração.
      operationId: listActivity
      parameters:
        - schema:
            type: string
            maxLength: 300
          in: query
          name: after
          required: false
        - schema:
            type: string
            pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])$
          in: query
          name: from
          required: false
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 30
          in: query
          name: limit
          required: false
        - schema:
            type: string
            minLength: 1
            maxLength: 200
          in: query
          name: search
          required: false
        - schema:
            type: string
            pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])$
          in: query
          name: to
          required: false
        - schema:
            type: string
            enum:
              - ADVANCE_APPROVED
              - CHARGEBACK_RECEIVED
              - MED_RECEIVED
              - PAYOUT_REQUESTED
              - PIX_KEY_REGISTERED
              - PRODUCT_CREATED
              - REFUND_PROCESSED
              - SALE_APPROVED
              - SUBSCRIPTION_CANCELED
          in: query
          name: type
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - data
                  - hasMore
                  - nextCursor
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      required:
                        - amountMinor
                        - currency
                        - description
                        - id
                        - occurredAt
                        - resource
                        - title
                        - type
                      properties:
                        amountMinor:
                          anyOf:
                            - type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            - type: 'null'
                        currency:
                          anyOf:
                            - type: string
                              enum:
                                - BRL
                            - type: 'null'
                        description:
                          type: string
                          maxLength: 400
                        id:
                          type: string
                          maxLength: 100
                        occurredAt:
                          type: string
                          format: date-time
                        resource:
                          anyOf:
                            - type: object
                              additionalProperties: false
                              required:
                                - id
                                - type
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                type:
                                  type: string
                                  enum:
                                    - ADVANCE
                                    - BENEFICIARY
                                    - DISPUTE
                                    - ORDER
                                    - PAYOUT
                                    - PRODUCT
                                    - REFUND
                                    - SUBSCRIPTION
                            - type: 'null'
                        title:
                          type: string
                          maxLength: 100
                        type:
                          type: string
                          enum:
                            - ADVANCE_APPROVED
                            - CHARGEBACK_RECEIVED
                            - MED_RECEIVED
                            - PAYOUT_REQUESTED
                            - PIX_KEY_REGISTERED
                            - PRODUCT_CREATED
                            - REFUND_PROCESSED
                            - SALE_APPROVED
                            - SUBSCRIPTION_CANCELED
                  hasMore:
                    type: boolean
                  nextCursor:
                    anyOf:
                      - type: string
                        maxLength: 300
                      - type: 'null'
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '429':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Korbit API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.